Subject: Re: bug#14399: octave-mode bug

From: Stefan Monnier <[email-masked]>
Date: Mon, 02 Dec 2013 10:15:59 -0500

>> It seems the octave community's consensus is: ... should not introduce
>> extra indentation in (), [] or {}. Could you help fix this bug?
> I am unfamiliar with smie.  I have been meaning to understand it but
> haven't found time to.  Could you help fix this indentation bug?

Looks like we've all been pretty dumb: not sure about the OP's real code
but at least his test case gets indented like this with Emacs's trunk:

  vec = [...
          one;...
          two;...
          three];

So it looks like the bug is already fixed.

        Stefan